Bug 654714 - Can't get NM to ignore any interfaces
Summary: Can't get NM to ignore any interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 17:17 UTC by tz
Modified: 2011-04-12 21:28 UTC (History)
2 users (show)

Fixed In Version: NetworkManager-0.8.3.996-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-02 01:50:44 UTC


Attachments (Terms of Use)

Description tz 2010-11-18 17:17:02 UTC
Description of problem:
I am trying to unmanage a single interface, wlan8
Two methods were given in various pages, ifcfg-wlanN adding a line to say NM_CONTROLLED=no or adding something to /etc/NetworkManager/ as a .conf file: 
    [keyfile]
    unmanaged-devices=/org/freedesktop/Hal/devices/net_00_05_1b_ac_6c_03
(the current main doesn't have a keyfile, and it doesn't work stand-alone).
Neither worked.  No other method was found (especially for recent versions of Fedore).

Version-Release number of selected component (if applicable):
0.8.1-10

How reproducible:
Always, Even restarting network manager.

Steps to Reproduce:
1. Insert a second (or even use the first) wireless or network card.
2. use lshal to get the path, or ifconfig to find the interface ID
3. Edit the files that should tell NM to ignore the interface
4. Check the list of managed networks; restart NM and check again.
  
Actual results:
nm-tool and the applet show it being managed and doing everything (scanning, attaching)

Expected results:
The device should not appear or if it does be completely inactive or passive.

Additional info:

Comment 1 tz 2010-11-18 23:04:17 UTC
I also did try something of what is on the manpage - I don't know if it wants the HAL address or the mac:sixpair, but neither work.

Comment 2 Jirka Klimes 2010-11-19 12:02:19 UTC
NetworkManager hasn't been using HAL for some time already, rather it depends on udev. That's why HAL paths don't work any more.
The NetworkManager.conf man page is correct as well as wiki page at http://live.gnome.org/NetworkManager/SystemSettings

It depends on what plugin you use:
ifcfg-rh: uses NM_CONTROLLED=no
keyfile: uses unmanaged-devices=mac:01:02:03:04:05:06

You can add 'keyfile' plugin to NetworkManager.conf in addition to ifcg-rh when you want to use it.

Example:
[main]
plugins=ifcfg-rh,keyfile

Please attach your ifcfg-wlanX file to see what's wrong? (BTW, it should contain DEVICE=wlanX and HWADDR=<macaddr> in order NM_CONTROLLED=no take effect).

Also, grab /var/log/messages for NetworkManager logs.

Comment 3 tz 2010-11-19 13:33:17 UTC
I suspected HAL might be obsolete but there were no updated examples.

Adding the text to NetworkManager.conf did not work.  Do I have to install the plugin separately?

Doing the ifcfg-wlan1 worked.  I probably had some error the first time.

This is my NetworkManager.conf file - by itself does NOT work to stop NM on the device.

[main]
plugins=ifcfg-rh,keyfile
[keyfile]
unmanaged-devices=mac:00:21:2F:37:82:45

Either the above is wrong or there is still a bug somewhere.

This is the working version of
/etc/sysconfig/network-scripts/ifcfg-wlan1:

DEVICE=wlan1
HWADDR=00:21:2F:37:82:45
NM_CONTROLLED=no

Note that DEVICE was initially wlan0 but it still worked to stop NM.

Comment 4 Jirka Klimes 2010-11-22 09:47:37 UTC
(In reply to comment #3)
> Adding the text to NetworkManager.conf did not work.  Do I have to install the
> plugin separately?
> 
The plugin is part of the NetworkManager package; no need to install it separately.
You'll see 'Loaded plugin keyfile' in /var/log/messages.

> This is my NetworkManager.conf file - by itself does NOT work to stop NM on the
> device.
> 
> [main]
> plugins=ifcfg-rh,keyfile
> [keyfile]
> unmanaged-devices=mac:00:21:2F:37:82:45
> 
> Either the above is wrong or there is still a bug somewhere.
> 
The problem is that the MAC has to be in lowercase. It's written on the man page: man NetworkManager.conf
Hmm, we should probably accept uppercase as well to be more consistent.

> This is the working version of
> /etc/sysconfig/network-scripts/ifcfg-wlan1:
> 
> DEVICE=wlan1
> HWADDR=00:21:2F:37:82:45
> NM_CONTROLLED=no
> 
> Note that DEVICE was initially wlan0 but it still worked to stop NM.
It will work as far as HWADDR match.

Comment 5 tz 2010-11-22 13:00:54 UTC
OK - it was uppercase and I didn't see it in the manual until you pointed me at it.  It would help to make it case insensitive or to highlight it in the manpage.

The other part is I did check various entries in /var/log, but unless I go through some effort to put network manager into some kind of debug mode I don't see any warning or error output.  If the nm-applet had an alert icon and said the file had a syntax error I would have read twice or three times - Mac invalid, or if uppoercase is technically valid syntax it might say "no mac specified", but if it just doesn't work silently it is hard to get right.

Comment 6 Jirka Klimes 2010-11-23 15:50:53 UTC
Keyfile plugin updated to accept  both lowercase and uppercase MAC addresses.

Upstream fix is:
8c9a124e72ca5ff4e648e91001fd540f0c179f4a (master)
e01c7b69abb9c118b9e0087803ca203ff157aa0a (NM_0_8)

Comment 7 Jirka Klimes 2010-11-24 10:08:24 UTC
NetworkManager.conf man page updated accordingly.

Comment 8 tz 2010-11-24 13:06:10 UTC
Thank you for fixing this!  Mac addresses are something I often cut and paste to get right and most other places print them in uppercase.

One further suggestion on the manpage - add the use and location of the NM_CONTROLLED=no in a section on the ifcfg-rh (and maybe -suse if it applies).  It is difficult to find this information (I still haven't in my fedora install - it may not be anywhere in /usr/share) and it is often intermixed with older versions of the conf file setup.  There aren't really any ifcfg-XYZ manpages either for the plugin itself or the config/script files in /etc/sysconfig and the docs saying how to set this up usually don't mention NM.

Comment 9 Fedora Update System 2011-02-24 06:06:10 UTC
NetworkManager-0.8.3.995-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.995-1.fc14

Comment 10 Fedora Update System 2011-02-24 06:09:40 UTC
NetworkManager-0.8.3.995-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.995-1.fc13

Comment 11 Fedora Update System 2011-02-24 20:57:23 UTC
NetworkManager-0.8.3.995-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.995-1.fc14

Comment 12 Fedora Update System 2011-02-25 23:42:59 UTC
Package NetworkManager-0.8.3.996-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.996-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.996-1.fc14
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-02-25 23:45:59 UTC
Package NetworkManager-0.8.3.996-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.996-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.996-1.fc13
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-03-02 01:49:22 UTC
NetworkManager-0.8.3.996-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-03 09:47:28 UTC
Package NetworkManager-0.8.3.997-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.997-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.997-1.fc13
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-03-25 03:30:25 UTC
NetworkManager-0.8.3.998-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.998-2.fc13

Comment 17 Fedora Update System 2011-04-12 21:28:12 UTC
NetworkManager-0.8.3.998-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.